Index: uspace/drv/char/i8042/i8042.c
===================================================================
--- uspace/drv/char/i8042/i8042.c	(revision eadaeae8dacc68cf558028f23cc96b90a08b7361)
+++ uspace/drv/char/i8042/i8042.c	(revision 3be9d10120f7923a0b3d52282b8de0b670566c71)
@@ -67,5 +67,5 @@
 #define i8042_KBD_TRANSLATE  0x40  /* Use this to switch to XT scancodes */
 
-static void i8042_char_conn(ipc_callid_t, ipc_call_t *, void *);
+static void i8042_char_conn(cap_call_handle_t, ipc_call_t *, void *);
 static errno_t i8042_read(chardev_srv_t *, void *, size_t, size_t *);
 static errno_t i8042_write(chardev_srv_t *, const void *, size_t, size_t *);
@@ -418,5 +418,5 @@
  * @param arg  ddf_fun_t function.
  */
-void i8042_char_conn(ipc_callid_t iid, ipc_call_t *icall, void *arg)
+void i8042_char_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
 {
 	i8042_port_t *port = ddf_fun_data_get((ddf_fun_t *)arg);
Index: uspace/drv/char/msim-con/msim-con.c
===================================================================
--- uspace/drv/char/msim-con/msim-con.c	(revision eadaeae8dacc68cf558028f23cc96b90a08b7361)
+++ uspace/drv/char/msim-con/msim-con.c	(revision 3be9d10120f7923a0b3d52282b8de0b670566c71)
@@ -41,5 +41,5 @@
 #include "msim-con.h"
 
-static void msim_con_connection(ipc_callid_t, ipc_call_t *, void *);
+static void msim_con_connection(cap_call_handle_t, ipc_call_t *, void *);
 
 static errno_t msim_con_read(chardev_srv_t *, void *, size_t, size_t *);
@@ -217,5 +217,5 @@
 
 /** Character device connection handler. */
-static void msim_con_connection(ipc_callid_t iid, ipc_call_t *icall,
+static void msim_con_connection(cap_call_handle_t iid, ipc_call_t *icall,
     void *arg)
 {
Index: uspace/drv/char/ns8250/ns8250.c
===================================================================
--- uspace/drv/char/ns8250/ns8250.c	(revision eadaeae8dacc68cf558028f23cc96b90a08b7361)
+++ uspace/drv/char/ns8250/ns8250.c	(revision 3be9d10120f7923a0b3d52282b8de0b670566c71)
@@ -311,5 +311,5 @@
 static errno_t ns8250_open(chardev_srvs_t *, chardev_srv_t *);
 static errno_t ns8250_close(chardev_srv_t *);
-static void ns8250_default_handler(chardev_srv_t *, ipc_callid_t, ipc_call_t *);
+static void ns8250_default_handler(chardev_srv_t *, cap_call_handle_t, ipc_call_t *);
 
 /** The character interface's callbacks. */
@@ -322,5 +322,5 @@
 };
 
-static void ns8250_char_conn(ipc_callid_t, ipc_call_t *, void *);
+static void ns8250_char_conn(cap_call_handle_t, ipc_call_t *, void *);
 
 static errno_t ns8250_dev_add(ddf_dev_t *dev);
@@ -1068,5 +1068,5 @@
  * Configure the parameters of the serial communication.
  */
-static void ns8250_default_handler(chardev_srv_t *srv, ipc_callid_t callid,
+static void ns8250_default_handler(chardev_srv_t *srv, cap_call_handle_t callid,
     ipc_call_t *call)
 {
@@ -1099,5 +1099,5 @@
 }
 
-void ns8250_char_conn(ipc_callid_t iid, ipc_call_t *icall, void *arg)
+void ns8250_char_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
 {
 	ns8250_t *ns8250 = fun_ns8250((ddf_fun_t *)arg);
Index: uspace/drv/char/pl050/pl050.c
===================================================================
--- uspace/drv/char/pl050/pl050.c	(revision eadaeae8dacc68cf558028f23cc96b90a08b7361)
+++ uspace/drv/char/pl050/pl050.c	(revision 3be9d10120f7923a0b3d52282b8de0b670566c71)
@@ -54,5 +54,5 @@
 static errno_t pl050_fun_online(ddf_fun_t *);
 static errno_t pl050_fun_offline(ddf_fun_t *);
-static void pl050_char_conn(ipc_callid_t, ipc_call_t *, void *);
+static void pl050_char_conn(cap_call_handle_t, ipc_call_t *, void *);
 static errno_t pl050_read(chardev_srv_t *, void *, size_t, size_t *);
 static errno_t pl050_write(chardev_srv_t *, const void *, size_t, size_t *);
@@ -286,5 +286,5 @@
 }
 
-void pl050_char_conn(ipc_callid_t iid, ipc_call_t *icall, void *arg)
+void pl050_char_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
 {
 	pl050_t *pl050 = pl050_from_fun((ddf_fun_t *)arg);
Index: uspace/drv/char/ski-con/ski-con.c
===================================================================
--- uspace/drv/char/ski-con/ski-con.c	(revision eadaeae8dacc68cf558028f23cc96b90a08b7361)
+++ uspace/drv/char/ski-con/ski-con.c	(revision 3be9d10120f7923a0b3d52282b8de0b670566c71)
@@ -50,5 +50,5 @@
 static errno_t ski_con_fibril(void *arg);
 static int32_t ski_con_getchar(void);
-static void ski_con_connection(ipc_callid_t, ipc_call_t *, void *);
+static void ski_con_connection(cap_call_handle_t, ipc_call_t *, void *);
 
 static errno_t ski_con_read(chardev_srv_t *, void *, size_t, size_t *);
@@ -255,5 +255,5 @@
 
 /** Character device connection handler. */
-static void ski_con_connection(ipc_callid_t iid, ipc_call_t *icall,
+static void ski_con_connection(cap_call_handle_t iid, ipc_call_t *icall,
     void *arg)
 {
Index: uspace/drv/char/sun4v-con/sun4v-con.c
===================================================================
--- uspace/drv/char/sun4v-con/sun4v-con.c	(revision eadaeae8dacc68cf558028f23cc96b90a08b7361)
+++ uspace/drv/char/sun4v-con/sun4v-con.c	(revision 3be9d10120f7923a0b3d52282b8de0b670566c71)
@@ -42,5 +42,5 @@
 #include "sun4v-con.h"
 
-static void sun4v_con_connection(ipc_callid_t, ipc_call_t *, void *);
+static void sun4v_con_connection(cap_call_handle_t, ipc_call_t *, void *);
 
 #define POLL_INTERVAL  10000
@@ -180,5 +180,5 @@
 
 /** Character device connection handler. */
-static void sun4v_con_connection(ipc_callid_t iid, ipc_call_t *icall,
+static void sun4v_con_connection(cap_call_handle_t iid, ipc_call_t *icall,
     void *arg)
 {
